Locomotive und RubyGems

tafkas

Aktives Mitglied
Thread Starter
Mitglied seit
17.09.2005
Beiträge
3.400
Hallo Leutz,

ich dachte mir ich spiele mal ein wenig mit RubyOnRails herum. Dazu habe ich mir Locomotive heruntergeladen. Danach wollte ich einfach mal den Screencast "Creating a weblog in 15 minutes" nachspielen.
Ich habe also in Locomotive ein neues Projekt erstellt und dann mich an den Screencast gehalten. Jedoch gab es gleich zu Beginn einen Fehler. Beim Aufruf von
Code:
./script/generate controller
erhalte ich die Fehlermeldung
./script/../config/boot.rb:18:in `require': No such file to load -- rubygems (LoadError)
from ./script/../config/boot.rb:18
from ./script/generate:2:in `require'
from ./script/generate:2
Ist das auf fehlenden RubyGems zurückzuführen? Und wenn ja, wie kann ich da Abhilfe schaffen?
 

tafkas

Aktives Mitglied
Thread Starter
Mitglied seit
17.09.2005
Beiträge
3.400
Ich habe den Fehler jetzt gefunden.

Innerhalb der Locomotive-Oberfläche kann man eine spezielle Konsole aufrufen, in der dann die Umgebungsvariablen richtig gesetzt werden. (Rechtsklick auf Projekt)

Jetzt funktioniert es auch.
 

wegus

Moderator
Mitglied seit
13.09.2004
Beiträge
17.302
Fein, dann kann ich es ja zur Webprogrammierung verschieben wo es hingehört :)
 
Oben